Bug 113808 - modutils and cat /proc/modules deadlock (I think)
modutils and cat /proc/modules deadlock (I think)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-18 12:06 EST by Eric Hopper
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-18 23:41:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Hopper 2004-01-18 12:06:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040115

Description of problem:
I have these process:

[root@monster root]# ps --width=2000 -f -p 9302,9303,9301,9368,17188,3
UID        PID  PPID  C STIME TTY          TIME CMD
root         3     1  0 Jan17 ?        00:00:00 [events/0]
root      9301     1  0 00:36 ?        00:00:00 rmmod parport_pc parport
root      9302     3  0 00:36 ?        00:00:00 [events/0]
root      9303  9302  0 00:36 ?        00:00:00 /sbin/modprobe -q --
parport_lowlevel
root      9368  9314  0 00:37 pts/3    00:00:00 lsmod
root     17188 17138  0 08:35 pts/6    00:00:00 cat /proc/modules

9301,9303, and 17188 are all hung.  rmmod has been hung for at least 8
hours.

I believe that what happened is that I ran rmmod and the system ran
modprobe at the same time, and they are deadlocked.  I'm not sure of
this though.

I'm going to reboot now, and this problem may never show itself again.
 But, I thought I should report it when it did.


Version-Release number of selected component (if applicable):
kernel-2.6.1-1.43
modutils-2.4.26-2

How reproducible:
Didn't try


Additional info:
Comment 1 Warren Togami 2004-04-18 23:41:30 EDT
This was probably fixed a long time ago.

Note You need to log in before you can comment on or make changes to this bug.